Subject: Re: bug#44639: [PATCH 2/2] autorevert: map each watch descriptor to a single buffer

From: Michael Albinus <[email-masked]>
Date: Wed, 02 Dec 2020 15:50:16 +0100

Spencer Baugh <[email-masked]> writes:

> Now that we don't share watch descriptors between buffers, we don't
> need to store a list of buffers for each watch descriptor - there
> would only be a single buffer in each list. This should have no
> functional change.

Just for the records, when I apply both patches 1/2 and 2/2,
autorevert-tests fails. So it cannot be applied as such.

Using just patch 1/2 works for the inotify backend. I'll continue to
test. I recommend you to test also your patches by calling

$ make -C test autorevert-tests

Best regards, Michael.